Bug 7538 - Backport fixes for GUID_from_data_blob
Backport fixes for GUID_from_data_blob
Status: RESOLVED FIXED
Product: Samba 3.5
Classification: Unclassified
Component: DCE-RPCs and pipes
unspecified
Other Linux
: P3 normal
: ---
Assigned To: Björn Jacke
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-30 06:45 UTC by Andreas Schneider
Modified: 2010-07-16 06:54 UTC (History)
0 users

See Also:


Attachments
Fixed GUID_from_data_blob() with length of 32. (1.13 KB, patch)
2010-06-30 06:46 UTC, Andreas Schneider
metze: review+
gd: review+
Details
split out a separate GUID_from_ndr_blob() function (2.31 KB, patch)
2010-07-07 03:18 UTC, Andreas Schneider
gd: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schneider 2010-06-30 06:45:24 UTC
The current code returns garbage.
Comment 1 Andreas Schneider 2010-06-30 06:46:39 UTC
Created attachment 5815 [details]
Fixed GUID_from_data_blob() with length of 32.
Comment 2 Guenther Deschner 2010-06-30 07:35:37 UTC
Comment on attachment 5815 [details]
Fixed GUID_from_data_blob() with length of 32.

looks fine
Comment 3 Stefan Metzmacher 2010-06-30 08:17:29 UTC
Comment on attachment 5815 [details]
Fixed GUID_from_data_blob() with length of 32.

Looks good
Comment 4 Andreas Schneider 2010-06-30 08:23:34 UTC
Karolin, could you please pick it for v3-5. Thanks :)
Comment 5 Karolin Seeger 2010-07-01 05:21:36 UTC
(In reply to comment #4)
> Karolin, could you please pick it for v3-5. Thanks :)
> 

Sure! Pushed patch to v3-5-test.
Closing out bug report.

Thanks!
Comment 6 Andreas Schneider 2010-07-01 08:49:48 UTC
Could you please pick it for v3-4 too? :)
Comment 7 Karolin Seeger 2010-07-05 00:37:22 UTC
(In reply to comment #6)
> Could you please pick it for v3-4 too? :)
> 

Pushed.
Closing out bug report.

Thanks!
Comment 8 Andreas Schneider 2010-07-07 03:18:04 UTC
Created attachment 5831 [details]
split out a separate GUID_from_ndr_blob() function

This patch (effff544) is needed to get the first GUID patch working.
Comment 9 Guenther Deschner 2010-07-07 10:43:24 UTC
Comment on attachment 5831 [details]
split out a separate GUID_from_ndr_blob() function

looks fine and applies cleanly to both branches
Comment 10 Guenther Deschner 2010-07-07 10:44:04 UTC
Karolin, please pick for 3.4 and 3.5
Comment 11 Karolin Seeger 2010-07-08 04:03:12 UTC
Pushed to both branches.
Closing out bug report.

Thanks!
Comment 12 Björn Jacke 2010-07-14 05:04:36 UTC
that one broke the 3.5 IRIX build (http://build.samba.org/?function=View+Build;host=SerNet-IRIX;tree=samba_3_master;compiler=cc):

Linking bin/smbd
...
ld32: ERROR   33 : Unresolved text symbol "GUID_from_ndr_blob" -- 1st referenced by ../librpc/ndr/uuid.o.
	Use linker option -v to see when and which objects, archives and dsos are loaded.  

(unfortunately the build host is curently down due to heat problems in the room)
Comment 13 Guenther Deschner 2010-07-15 08:29:01 UTC
(In reply to comment #12)
> that one broke the 3.5 IRIX build
> (http://build.samba.org/?function=View+Build;host=SerNet-IRIX;tree=samba_3_master;compiler=cc):
> 
> Linking bin/smbd
> ...
> ld32: ERROR   33 : Unresolved text symbol "GUID_from_ndr_blob" -- 1st
> referenced by ../librpc/ndr/uuid.o.
>         Use linker option -v to see when and which objects, archives and dsos
> are loaded.  
> 
> (unfortunately the build host is curently down due to heat problems in the
> room)

hm, that failing revision actually did not have the 2nd part of the patch, right ? once up again, does that host still fails to build ?


Comment 14 Karolin Seeger 2010-07-16 02:48:54 UTC
Björn, could you please verify? Thanks!
Comment 15 Björn Jacke 2010-07-16 06:54:11 UTC
Sadly I can't. After the machine was shut down the last time it seems to be physically broken now. Closing again, sorry for the noise.